#include <iostream>
#include <math.h>
#include <string>
using namespace std;

int main()
{
    int a, b, ostatakA, ostatakB, sudarenBroj = 0;

    scanf("%d %d", &a, &b);

    for (int i = 0; i < 32; i++)
    {
        ostatakA = a % 10;
        ostatakB = b % 10;

        a = a / 10;
        b = b / 10;

        if (ostatakA > ostatakB)
        {
            sudarenBroj = sudarenBroj + ostatakA * pow(10, i);
        } else if (ostatakB > ostatakA)
        {
            sudarenBroj = sudarenBroj + ostatakB * pow(10, i);
        } else
        {
            if (ostatakA == 0)
            {
                sudarenBroj = sudarenBroj + ostatakA * pow(10, i);
            } else
            {
                sudarenBroj = sudarenBroj + ostatakB * pow(10, i);
                i += 1;
                sudarenBroj = sudarenBroj + ostatakA * pow(10, i);
            }
        }
    }
    printf("%d", sudarenBroj);
}